function [ A ] = CompoundInterestV2( P,r,n )
% Tyler Krill Example Solution for ES 111 Lab 05 Pt 3a
% This method both calculates the compound interest with a loop and
% generates a vector containing all of the interests over time.  I also
% think it is easier to understand.
%
% A = CompoundInterest2( P,r,t)
% Inputs:
% P is the principal amount (starting balance)
% r is the interest rate per period (if a period is not the length of a
% year make sure to find the interest for the period first)
% n is the number of periods
% Outputs:
% A is a vector containing the balance at every period

A = zeros(1,n+1);       %So matlab stops yelling at me that generating the vector inside of the loop is innefficient
A(1) = P;               %Balance at year = 0
for k = 1:1:n
    A(k+1) = A(k)*(1+r);%Calculates the balance for each year based on the balance of the previous year
end
end