% Create a financial profile for the user's working career

% housekeeping
close all
clear all
clc

%-------------------------------------------------------------------------
%---------------------------- INPUTS -------------------------------------
%-------------------------------------------------------------------------

% get data from user
age = input('What is your age? ');
rAge = input('At what age do you plan to retire? ');

P = input('What is your salary? $');
percent = input('What percentage of your salary would you like to invest annually? (decimal value) ');

r = input('What is the average interest rate you expect? (decimal) ');
n = input('How frequently will interest be compounded? (number of times per year) ');

V = input('Target retirement amount: $');

%-------------------------------------------------------------------------
%-------------------------------------------------------------------------
%-------------------------------------------------------------------------

% get total number of years
t = rAge - age;

% determine the annual deposit
d = P * percent;

fprintf('\nTable showing growth through retirement age (%d)\n\n',rAge);
% gather data through retirement age
interestWithDeposits(P,r,t,n,d);


fprintf('\n\n\nTable showing growth through target retirement amount ($%.0f)\n\n',V);
% how long to reach goal
howLong = targetBalance(P,r,n,V,d);

fprintf('It will take %d years to reach your goal\n',howLong);